<template>
  <div id="app">
    <Navbar></Navbar>
    <transition name="slideContainer" mode="out-in">
    <nuxt/>
    </transition>
    <Footer></Footer>
  </div>
</template>

<script>
import Navbar from "~/components/navbar.vue";
import Footer from "~/components/footer.vue";
export default {
  name: 'App',
components: {
  Navbar,
  Footer
 }
}
</script>

<style>
#app {
  font-family: roboto;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}
.slideContainer-enter-active{
animation: slide-in .3s ease-out forwards;
}
.slideContainer-leave-active{
animation: slide-out .3s ease-out forwards;
}
@keyframes slide-in {
  from{
    transform: translateX(-1000px);
  }
  to{
    transform: translateX(0px);
  }
}
@keyframes slide-out {
  from{
    transform: translateX(0px);
  }
  to{
    transform: translateX(1000px);
  }
}
</style>

